#pragma once

#include <Orange/Graphics/Mesh.h>
#include <memory>
#include <xatlas.h>

namespace orange
{
    using LightmapAtlas = std::unique_ptr<xatlas::Atlas, void(*)(xatlas::Atlas*)>;

    Result<LightmapAtlas> CreateLightmapAtlasForMesh(MeshData& mesh);

    Vector<uint8_t> GenerateDebugAtlasTexture(const LightmapAtlas& atlas);
}
