#version 450
#extension GL_EXT_nonuniform_qualifier : require

layout(location = 0) in vec2 in_coords;
layout(location = 0) out vec4 out_color;

layout(set = 0, binding = 0) uniform sampler u_sampler;
layout(set = 0, binding = 1) uniform texture2D u_images[];

layout(push_constant) uniform p_constants_t
{
    uint frame;
    uint imageIndex;
    float time;
};

void main()
{
    out_color = texture(sampler2D(u_images[imageIndex], u_sampler), in_coords);
}